Bug 99009 - redhat-config-printer package install overwrites config files
Summary: redhat-config-printer package install overwrites config files
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-printer (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-11 16:51 UTC by jmccann
Modified: 2015-01-14 23:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-29 13:59:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for spec file (1.31 KB, patch)
2003-07-11 16:52 UTC, jmccann
no flags Details | Diff

Description jmccann 2003-07-11 16:51:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030625

Description of problem:
Hi,

The spec file for redhat-config-printer (and possibly other redhat-config-*
tools) does not use preserve modified configuration files.  This is very
important for those of us supporting RH at large sites.

http://www.rpm.org/max-rpm/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-CONFIG-DIRECTIVE

Thanks,
Jon

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Initial OS install
2. Apply site specific customizations
3. Install errata package
    

Actual Results:  Customizations are lost.

Expected Results:  Changes should not be lost.

Additional info:

Comment 1 jmccann 2003-07-11 16:52:04 UTC
Created attachment 92883 [details]
Patch for spec file

Sorry I don't have access to spec.in.

Comment 2 Tim Waugh 2003-07-14 12:16:06 UTC
Fixed in CVS.


Note You need to log in before you can comment on or make changes to this bug.